Subject: Re: [PATCH] ata: Don't use NO_IRQ in pata_of_platform driver

From: Alan Cox <[email-masked]>
Date: Tue, 6 Dec 2011 11:10:43 +0000

> It's shown in /proc/interrupts due to a "bug" in show_interrupts().
> The (gmail damaged) patch below fixes this bug.

We get API breakage then. Which is a pain of course because debug tools
and the like which think IRQ 0 is "timer ticks" are somewhat broken.